//
//  SpikeView.h
//  SpikeNav
//
//  Created by Robert Bridson on 19/06/09.
//  Released into the public domain.
//

#import <Cocoa/Cocoa.h>
#import "AnimationScene.h"
#import "SpikeCamera.h"

@interface SpikeView: NSOpenGLView
{
   // what to see
   AnimationScene *scene;
   // camera state
   SpikeCamera *camera;
}

- (void) awakeFromNib;
- (void) drawRect: (NSRect) bounds;
- (BOOL) acceptsFirstResponder;
- (void) mouseDown: (NSEvent*) event;
- (void) mouseDragged: (NSEvent*) event;
- (void) mouseUp: (NSEvent*) event;

@end
